Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » IMP » LPG v2.0.17
LPG v2.0.17 [message #481382] Thu, 20 August 2009 12:59 Go to next message
Adolfo Sanchez-Barbudo Herrera is currently offline Adolfo Sanchez-Barbudo Herrera
Messages: 253
Registered: July 2009
Senior Member
Hi Bob,

I'm one of the members of Eclipse's MDT-OCL project and we are planning
to migrate the current LPG v1.1-based grammars and parsing
infrastructure to the new LPG v2.0.17 one. To achieve this goal we will
need to make LPG pass IP process, integrate the project into Orbit, in
the same way it was done some years ago with LPG v1.1.

Since IMP is the natural project which should also solve this kind of
issues, I'm just wondering if you have done any kind of process to make
LPG v2.0.17 take part into Eclipse's Orbit.

Cheers,
Adolfo.
Re: LPG v2.0.17 and Orbit [message #483967 is a reply to message #481382] Thu, 03 September 2009 14:46 Go to previous message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Hi Adolfo,

[Apologies for not having responded earlier; it's been a particularly
intense work period for me the last couple of weeks.]

Although v2.0.17 is the latest LPG version at the moment, v2.0.18 is due
out fairly soon (so says Philippe Charles, the primary author), and has
some potentially very useful improvements in the area of error recovery.

As a result, I've been delaying the initiation of another CQ for LPG in
hopes of avoiding doing two in rapid succession.

I've also been intending to get LPG into Orbit, since as you say it's
useful to a wider audience than just IMP users.

Also, although v2.0.17 is mostly a bug-fix release over 2.0.16, it
includes one fairly significant fix to the runtime (as I recall, it
resolves a bug causing the parser driver to hang on certain erroneous
inputs). As a result, I believe 2.0.17+ is a better candidate for Orbit
than 2.0.16.

As of his latest communication, Philippe believes 2.0.18 will be
released within the next few weeks. If that's too long a delay given
your project's constraints, let me know, and I'll start a 2.0.17 CQ, and
perhaps you can initiate the Orbit process once that's in place.

Adolfo Sánchez-Barbudo Herrera wrote:
> Hi Bob,
>
> I'm one of the members of Eclipse's MDT-OCL project and we are planning
> to migrate the current LPG v1.1-based grammars and parsing
> infrastructure to the new LPG v2.0.17 one. To achieve this goal we will
> need to make LPG pass IP process, integrate the project into Orbit, in
> the same way it was done some years ago with LPG v1.1.
>
> Since IMP is the natural project which should also solve this kind of
> issues, I'm just wondering if you have done any kind of process to make
> LPG v2.0.17 take part into Eclipse's Orbit.
>
> Cheers,
> Adolfo.


--
Cheers,
-- Bob

--------------------------------
Robert M. Fuhrer
Research Staff Member
Programming Technologies Dept.
IBM T.J. Watson Research Center

IDE Meta-tooling Platform Project Lead (http://www.eclipse.org/imp)
X10: Productive High-Performance Parallel Programming (http://x10-lang.org)
Re: LPG v2.0.17 and Orbit [message #576443 is a reply to message #481382] Thu, 03 September 2009 14:46 Go to previous message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Hi Adolfo,

[Apologies for not having responded earlier; it's been a particularly
intense work period for me the last couple of weeks.]

Although v2.0.17 is the latest LPG version at the moment, v2.0.18 is due
out fairly soon (so says Philippe Charles, the primary author), and has
some potentially very useful improvements in the area of error recovery.

As a result, I've been delaying the initiation of another CQ for LPG in
hopes of avoiding doing two in rapid succession.

I've also been intending to get LPG into Orbit, since as you say it's
useful to a wider audience than just IMP users.

Also, although v2.0.17 is mostly a bug-fix release over 2.0.16, it
includes one fairly significant fix to the runtime (as I recall, it
resolves a bug causing the parser driver to hang on certain erroneous
inputs). As a result, I believe 2.0.17+ is a better candidate for Orbit
than 2.0.16.

As of his latest communication, Philippe believes 2.0.18 will be
released within the next few weeks. If that's too long a delay given
your project's constraints, let me know, and I'll start a 2.0.17 CQ, and
perhaps you can initiate the Orbit process once that's in place.

Adolfo Sánchez-Barbudo Herrera wrote:
> Hi Bob,
>
> I'm one of the members of Eclipse's MDT-OCL project and we are planning
> to migrate the current LPG v1.1-based grammars and parsing
> infrastructure to the new LPG v2.0.17 one. To achieve this goal we will
> need to make LPG pass IP process, integrate the project into Orbit, in
> the same way it was done some years ago with LPG v1.1.
>
> Since IMP is the natural project which should also solve this kind of
> issues, I'm just wondering if you have done any kind of process to make
> LPG v2.0.17 take part into Eclipse's Orbit.
>
> Cheers,
> Adolfo.


--
Cheers,
-- Bob

--------------------------------
Robert M. Fuhrer
Research Staff Member
Programming Technologies Dept.
IBM T.J. Watson Research Center

IDE Meta-tooling Platform Project Lead (http://www.eclipse.org/imp)
X10: Productive High-Performance Parallel Programming (http://x10-lang.org)
Previous Topic:Problem installing IMP on Eclipse 3.5
Next Topic:New release of IMP available on the update site
Goto Forum:
  


Current Time: Wed Aug 20 08:40:30 EDT 2014

Powered by FUDForum. Page generated in 0.01395 seconds